Inventory management
List all inventory items
Retrieves the list of all inventory items with pagination and filters
query Parameters
pagePage number (default: 1)
limitNumber of items per page (default: 20, max: 100)
condition_statusFilter by condition
Condition state of an inventory item
List all inventory items › Responses
Inventory items list retrieved successfully
idUnique identifier of the inventory item
inventory_type_idInventory type ID
nameSpecific name of the item
quantityQuantity of items
unitUnit of measurement
condition_statusCondition state of an inventory item
created_atCreation date
updated_atLast modification date
descriptionDetailed description of the item
brandBrand of the item
modelModel of the item
serial_numberSerial number
condition_notesNotes on the condition of the item
last_condition_checkDate of the last condition check
next_condition_checkDate of the next scheduled condition check
purchase_datePurchase date
purchase_pricePurchase price
current_valueEstimated current value
insured_valueInsured value
insurance_policy_numberInsurance policy number
last_maintenance_dateDate of the last maintenance
next_maintenance_dateDate of the next scheduled maintenance
maintenance_frequency_daysMaintenance frequency in days
maintenance_notesMaintenance notes
tagsTags for search/filtering
Custom fields per tenant
notesGeneral notes
Create a new inventory item
Creates a new inventory item
Create a new inventory item › Request Body
inventory_type_idInventory type ID
nameSpecific name of the item
condition_statusCondition state of an inventory item
descriptionDetailed description of the item
brandBrand of the item
modelModel of the item
serial_numberSerial number
quantityQuantity of items
unitUnit of measurement
condition_notesNotes on the condition of the item
last_condition_checkDate of the last condition check
next_condition_checkDate of the next scheduled condition check
purchase_datePurchase date
purchase_pricePurchase price
current_valueEstimated current value
insured_valueInsured value
insurance_policy_numberInsurance policy number
last_maintenance_dateDate of the last maintenance
next_maintenance_dateDate of the next scheduled maintenance
maintenance_frequency_daysMaintenance frequency in days
maintenance_notesMaintenance notes
tagsTags for search/filtering
Custom fields per tenant
notesGeneral notes
Create a new inventory item › Responses
Inventory item created successfully
idUnique identifier of the inventory item
inventory_type_idInventory type ID
nameSpecific name of the item
quantityQuantity of items
unitUnit of measurement
condition_statusCondition state of an inventory item
created_atCreation date
updated_atLast modification date
descriptionDetailed description of the item
brandBrand of the item
modelModel of the item
serial_numberSerial number
condition_notesNotes on the condition of the item
last_condition_checkDate of the last condition check
next_condition_checkDate of the next scheduled condition check
purchase_datePurchase date
purchase_pricePurchase price
current_valueEstimated current value
insured_valueInsured value
insurance_policy_numberInsurance policy number
last_maintenance_dateDate of the last maintenance
next_maintenance_dateDate of the next scheduled maintenance
maintenance_frequency_daysMaintenance frequency in days
maintenance_notesMaintenance notes
tagsTags for search/filtering
Custom fields per tenant
notesGeneral notes
Get inventory item by ID
Retrieves a specific inventory item by its identifier
path Parameters
idInventory item ID
Get inventory item by ID › Responses
Inventory item retrieved successfully
idUnique identifier of the inventory item
inventory_type_idInventory type ID
nameSpecific name of the item
quantityQuantity of items
unitUnit of measurement
condition_statusCondition state of an inventory item
created_atCreation date
updated_atLast modification date
descriptionDetailed description of the item
brandBrand of the item
modelModel of the item
serial_numberSerial number
condition_notesNotes on the condition of the item
last_condition_checkDate of the last condition check
next_condition_checkDate of the next scheduled condition check
purchase_datePurchase date
purchase_pricePurchase price
current_valueEstimated current value
insured_valueInsured value
insurance_policy_numberInsurance policy number
last_maintenance_dateDate of the last maintenance
next_maintenance_dateDate of the next scheduled maintenance
maintenance_frequency_daysMaintenance frequency in days
maintenance_notesMaintenance notes
tagsTags for search/filtering
Custom fields per tenant
notesGeneral notes
Update inventory item
Updates an existing inventory item
path Parameters
idInventory item ID
Update inventory item › Request Body
inventory_type_idInventory type ID
nameSpecific name of the item
descriptionDetailed description of the item
brandBrand of the item
modelModel of the item
serial_numberSerial number
quantityQuantity of items
unitUnit of measurement
condition_statusCondition state of an inventory item
condition_notesNotes on the condition of the item
last_condition_checkDate of the last condition check
next_condition_checkDate of the next scheduled condition check
purchase_datePurchase date
purchase_pricePurchase price
current_valueEstimated current value
insured_valueInsured value
insurance_policy_numberInsurance policy number
last_maintenance_dateDate of the last maintenance
next_maintenance_dateDate of the next scheduled maintenance
maintenance_frequency_daysMaintenance frequency in days
maintenance_notesMaintenance notes
tagsTags for search/filtering
Custom fields per tenant
notesGeneral notes
Update inventory item › Responses
Inventory item updated successfully
idUnique identifier of the inventory item
inventory_type_idInventory type ID
nameSpecific name of the item
quantityQuantity of items
unitUnit of measurement
condition_statusCondition state of an inventory item
created_atCreation date
updated_atLast modification date
descriptionDetailed description of the item
brandBrand of the item
modelModel of the item
serial_numberSerial number
condition_notesNotes on the condition of the item
last_condition_checkDate of the last condition check
next_condition_checkDate of the next scheduled condition check
purchase_datePurchase date
purchase_pricePurchase price
current_valueEstimated current value
insured_valueInsured value
insurance_policy_numberInsurance policy number
last_maintenance_dateDate of the last maintenance
next_maintenance_dateDate of the next scheduled maintenance
maintenance_frequency_daysMaintenance frequency in days
maintenance_notesMaintenance notes
tagsTags for search/filtering
Custom fields per tenant
notesGeneral notes
Delete inventory item
Deletes an inventory item and all its associated data.
Cascade deletion behavior:
- All
room_inventoryjunctions (links with rooms) are automatically deleted - All
inventory_condition_historyrecords are automatically deleted - All
inventory_photoassociations are automatically deleted (the media files themselves are not deleted)
The deletion is atomic: either everything is deleted, or nothing is deleted in case of an error.
Note: This operation is irreversible. Make sure the inventory item can be deleted before calling this endpoint.
path Parameters
idInventory item ID
Delete inventory item › Responses
Inventory item and all its associated data deleted successfully
List inventory items by type
Retrieves all inventory items of a specific type
path Parameters
type_idInventory type ID
List inventory items by type › Responses
Inventory items of the specified type retrieved successfully
idUnique identifier of the inventory item
inventory_type_idInventory type ID
nameSpecific name of the item
quantityQuantity of items
unitUnit of measurement
condition_statusCondition state of an inventory item
created_atCreation date
updated_atLast modification date
descriptionDetailed description of the item
brandBrand of the item
modelModel of the item
serial_numberSerial number
condition_notesNotes on the condition of the item
last_condition_checkDate of the last condition check
next_condition_checkDate of the next scheduled condition check
purchase_datePurchase date
purchase_pricePurchase price
current_valueEstimated current value
insured_valueInsured value
insurance_policy_numberInsurance policy number
last_maintenance_dateDate of the last maintenance
next_maintenance_dateDate of the next scheduled maintenance
maintenance_frequency_daysMaintenance frequency in days
maintenance_notesMaintenance notes
tagsTags for search/filtering
Custom fields per tenant
notesGeneral notes
List inventory items by condition
Retrieves all inventory items with a specific condition
path Parameters
conditionCondition status
Condition state of an inventory item
List inventory items by condition › Responses
Inventory items with the specified condition retrieved successfully
idUnique identifier of the inventory item
inventory_type_idInventory type ID
nameSpecific name of the item
quantityQuantity of items
unitUnit of measurement
condition_statusCondition state of an inventory item
created_atCreation date
updated_atLast modification date
descriptionDetailed description of the item
brandBrand of the item
modelModel of the item
serial_numberSerial number
condition_notesNotes on the condition of the item
last_condition_checkDate of the last condition check
next_condition_checkDate of the next scheduled condition check
purchase_datePurchase date
purchase_pricePurchase price
current_valueEstimated current value
insured_valueInsured value
insurance_policy_numberInsurance policy number
last_maintenance_dateDate of the last maintenance
next_maintenance_dateDate of the next scheduled maintenance
maintenance_frequency_daysMaintenance frequency in days
maintenance_notesMaintenance notes
tagsTags for search/filtering
Custom fields per tenant
notesGeneral notes
Search inventory items
Performs an advanced search across inventory items
query Parameters
search_termGeneral search term
inventory_type_idFilter by inventory type
conditionFilter by condition
Condition state of an inventory item
estate_idFilter by property
category_idFilter by inventory category
object_natureFilter by object nature
Search inventory items › Responses
Search results retrieved successfully
idUnique identifier of the inventory item
inventory_type_idInventory type ID
nameSpecific name of the item
quantityQuantity of items
unitUnit of measurement
condition_statusCondition state of an inventory item
created_atCreation date
updated_atLast modification date
descriptionDetailed description of the item
brandBrand of the item
modelModel of the item
serial_numberSerial number
condition_notesNotes on the condition of the item
last_condition_checkDate of the last condition check
next_condition_checkDate of the next scheduled condition check
purchase_datePurchase date
purchase_pricePurchase price
current_valueEstimated current value
insured_valueInsured value
insurance_policy_numberInsurance policy number
last_maintenance_dateDate of the last maintenance
next_maintenance_dateDate of the next scheduled maintenance
maintenance_frequency_daysMaintenance frequency in days
maintenance_notesMaintenance notes
tagsTags for search/filtering
Custom fields per tenant
notesGeneral notes
List inventory categories
Retrieves the list of all inventory categories
List inventory categories › Responses
Inventory categories list retrieved successfully
idUnique identifier of the category
nameCategory name
created_atCreation date
updated_atLast modification date
descriptionCategory description
Create a new inventory category
Creates a new inventory category
Create a new inventory category › Request Body
nameCategory name
descriptionCategory description
Create a new inventory category › Responses
Inventory category created successfully
idUnique identifier of the category
nameCategory name
created_atCreation date
updated_atLast modification date
descriptionCategory description
Get inventory category by ID
Retrieves a specific inventory category by its identifier
path Parameters
idInventory category ID
Get inventory category by ID › Responses
Inventory category retrieved successfully
idUnique identifier of the category
nameCategory name
created_atCreation date
updated_atLast modification date
descriptionCategory description
Update inventory category
Updates an existing inventory category
path Parameters
idInventory category ID
Update inventory category › Request Body
nameCategory name
descriptionCategory description
Update inventory category › Responses
Inventory category updated successfully
idUnique identifier of the category
nameCategory name
created_atCreation date
updated_atLast modification date
descriptionCategory description
List inventory types
Retrieves the list of all inventory types
query Parameters
category_idFilter by category
List inventory types › Responses
Inventory types list retrieved successfully
idUnique identifier of the type
nameType name
is_activeIndicates whether the type is active
created_atCreation date
updated_atLast modification date
descriptionType description
category_idCategory ID
Create a new inventory type
Creates a new inventory type
Create a new inventory type › Request Body
nameType name
descriptionType description
category_idCategory ID
is_activeIndicates whether the type is active
Create a new inventory type › Responses
Inventory type created successfully
idUnique identifier of the type
nameType name
is_activeIndicates whether the type is active
created_atCreation date
updated_atLast modification date
descriptionType description
category_idCategory ID
Get inventory type by ID
Retrieves a specific inventory type by its identifier
path Parameters
idInventory type ID
Get inventory type by ID › Responses
Inventory type retrieved successfully
idUnique identifier of the type
nameType name
is_activeIndicates whether the type is active
created_atCreation date
updated_atLast modification date
descriptionType description
category_idCategory ID
Update inventory type
Updates an existing inventory type
path Parameters
idInventory type ID
Update inventory type › Request Body
nameType name
descriptionType description
category_idCategory ID
is_activeIndicates whether the type is active
Update inventory type › Responses
Inventory type updated successfully
idUnique identifier of the type
nameType name
is_activeIndicates whether the type is active
created_atCreation date
updated_atLast modification date
descriptionType description
category_idCategory ID
List room inventory
Retrieves the list of all inventory items in a room. Automatically validates that the room belongs to the correct estate.
path Parameters
place_idPlace ID
estate_idProperty ID
room_idRoom ID
List room inventory › Responses
Room inventory list retrieved successfully
idUnique identifier of the junction
room_idRoom ID
inventory_idInventory item ID
quantity_in_roomQuantity of the item in this room
placed_dateDate placed in the room
is_activeIndicates whether the item is currently in this room
created_atCreation date
updated_atLast modification date
location_descriptionDescription of the location within the room
position_xX position in the room (in meters)
position_yY position in the room (in meters)
condition_in_roomCondition state of an inventory item
condition_notes_in_roomNotes on the condition in this room
removed_dateDate removed from the room
notesNotes specific to this room
Add an inventory item to a room
Creates a new junction between a room and an existing inventory item. Automatically validates that the room belongs to the correct estate.
path Parameters
place_idPlace ID
estate_idProperty ID
room_idRoom ID
Add an inventory item to a room › Request Body
inventory_idInventory item ID
quantity_in_roomQuantity of the item in this room
location_descriptionDescription of the location within the room
position_xX position in the room (in meters)
position_yY position in the room (in meters)
condition_in_roomCondition state of an inventory item
condition_notes_in_roomNotes on the condition in this room
placed_dateDate placed in the room
removed_dateDate removed from the room
is_activeIndicates whether the item is currently in this room
notesNotes specific to this room
Add an inventory item to a room › Responses
Inventory item added to the room successfully
idUnique identifier of the junction
room_idRoom ID
inventory_idInventory item ID
quantity_in_roomQuantity of the item in this room
placed_dateDate placed in the room
is_activeIndicates whether the item is currently in this room
created_atCreation date
updated_atLast modification date
location_descriptionDescription of the location within the room
position_xX position in the room (in meters)
position_yY position in the room (in meters)
condition_in_roomCondition state of an inventory item
condition_notes_in_roomNotes on the condition in this room
removed_dateDate removed from the room
notesNotes specific to this room
Create inventory and link it to a room
Creates a new inventory item and immediately links it to a room in a single operation. Automatically validates that the room belongs to the correct estate.
path Parameters
place_idPlace ID
estate_idProperty ID
room_idRoom ID
Create inventory and link it to a room › Request Body
inventory_type_idInventory type ID
nameSpecific name of the item
condition_statusCondition state of an inventory item
descriptionDetailed description of the item
brandBrand of the item
modelModel of the item
serial_numberSerial number
quantityQuantity of items
unitUnit of measurement
condition_notesNotes on the condition of the item
last_condition_checkDate of the last condition check
next_condition_checkDate of the next scheduled condition check
purchase_datePurchase date
purchase_pricePurchase price
current_valueEstimated current value
insured_valueInsured value
insurance_policy_numberInsurance policy number
last_maintenance_dateDate of the last maintenance
next_maintenance_dateDate of the next scheduled maintenance
maintenance_frequency_daysMaintenance frequency in days
maintenance_notesMaintenance notes
tagsTags for search/filtering
Custom fields per tenant
notesGeneral notes
quantity_in_roomQuantity of the item in this room
location_descriptionDescription of the location within the room
position_xX position in the room (in meters)
position_yY position in the room (in meters)
condition_in_roomCondition state of an inventory item
condition_notes_in_roomNotes on the condition in this room
placed_dateDate placed in the room
removed_dateDate removed from the room
is_activeIndicates whether the item is currently in this room
room_notesNotes specific to this room
Create inventory and link it to a room › Responses
Inventory created and linked to the room successfully
Complete inventory item
Junction between a room and an inventory item
List room inventory with details
Retrieves the list of all inventory items in a room with full details. Automatically validates that the room belongs to the correct estate.
path Parameters
place_idPlace ID
estate_idProperty ID
room_idRoom ID
List room inventory with details › Responses
Room inventory list with details retrieved successfully
idUnique identifier of the junction
room_idRoom ID
inventory_idInventory item ID
quantity_in_roomQuantity of the item in this room
placed_dateDate placed in the room
is_activeIndicates whether the item is currently in this room
created_atCreation date
updated_atLast modification date
location_descriptionDescription of the location within the room
position_xX position in the room (in meters)
position_yY position in the room (in meters)
condition_in_roomCondition state of an inventory item
condition_notes_in_roomNotes on the condition in this room
removed_dateDate removed from the room
notesNotes specific to this room
Complete inventory item
Update an inventory item in a room
Updates the information of an inventory item in a room. Also allows moving the inventory to another room if room_id is provided in the body. Automatically validates that the room belongs to the correct estate.
path Parameters
place_idPlace ID
estate_idProperty ID
room_idRoom ID
inventory_idInventory item ID
Update an inventory item in a room › Request Body
room_idNew room ID (to move the inventory item)
quantity_in_roomQuantity of the item in this room
location_descriptionDescription of the location within the room.
Update behavior:
- Field absent: the existing value is preserved
null: the value is removed (set to NULL in the database)- String: the value is updated
position_xX position in the room (in meters)
position_yY position in the room (in meters)
is_activeIndicates whether the inventory item is currently in this room
placed_dateDate the item was placed in this room
removed_dateDate the item was removed from this room.
Update behavior:
- Field absent: the existing value is preserved
null: the value is removed (set to NULL in the database)- Date: the value is updated
condition_in_roomCondition state of an inventory item
condition_notes_in_roomNotes on the condition of the item in this room.
Update behavior:
- Field absent: the existing value is preserved
null: the value is removed (set to NULL in the database)- String: the value is updated
notesGeneral notes about this room-inventory association.
Update behavior:
- Field absent: the existing value is preserved
null: the value is removed (set to NULL in the database)- String: the value is updated
Update an inventory item in a room › Responses
Inventory item updated successfully
idUnique identifier of the junction
room_idRoom ID
inventory_idInventory item ID
quantity_in_roomQuantity of the item in this room
placed_dateDate placed in the room
is_activeIndicates whether the item is currently in this room
created_atCreation date
updated_atLast modification date
location_descriptionDescription of the location within the room
position_xX position in the room (in meters)
position_yY position in the room (in meters)
condition_in_roomCondition state of an inventory item
condition_notes_in_roomNotes on the condition in this room
removed_dateDate removed from the room
notesNotes specific to this room
Remove an inventory item from a room
Removes the junction between a room and an inventory item. Automatically validates that the room belongs to the correct estate.
path Parameters
place_idPlace ID
estate_idProperty ID
room_idRoom ID
inventory_idInventory item ID
Remove an inventory item from a room › Responses
Inventory item removed from the room successfully
List rooms containing an inventory item
Retrieves the list of all rooms containing a specific inventory item
path Parameters
inventory_idInventory item ID
List rooms containing an inventory item › Responses
Rooms containing the item retrieved successfully
idUnique identifier of the junction
room_idRoom ID
inventory_idInventory item ID
quantity_in_roomQuantity of the item in this room
placed_dateDate placed in the room
is_activeIndicates whether the item is currently in this room
created_atCreation date
updated_atLast modification date
location_descriptionDescription of the location within the room
position_xX position in the room (in meters)
position_yY position in the room (in meters)
condition_in_roomCondition state of an inventory item
condition_notes_in_roomNotes on the condition in this room
removed_dateDate removed from the room
notesNotes specific to this room
List rooms containing an inventory item with details
Retrieves the list of all rooms containing an inventory item with full details
path Parameters
inventory_idInventory item ID
List rooms containing an inventory item with details › Responses
Rooms containing the item with details retrieved successfully
idUnique identifier of the junction
room_idRoom ID
inventory_idInventory item ID
quantity_in_roomQuantity of the item in this room
placed_dateDate placed in the room
is_activeIndicates whether the item is currently in this room
created_atCreation date
updated_atLast modification date
location_descriptionDescription of the location within the room
position_xX position in the room (in meters)
position_yY position in the room (in meters)
condition_in_roomCondition state of an inventory item
condition_notes_in_roomNotes on the condition in this room
removed_dateDate removed from the room
notesNotes specific to this room
Complete inventory item